Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.functions.regex
Class RegexData

    java.lang.Object
      net.sf.saxon.functions.regex.RegexData

    public class RegexData

extends Object

Non-instantiable class containing constant data definitions used by the various Regular Expression translators

Field Summary
`static Map<String,int[]>` | `ASTRAL_CATEGORIES`
`static String` | `categories`
`static String` | `CATEGORY_Pf`
`static String` | `CATEGORY_Pi`
`static char` | `EOS`
`static String` | `subCategories`
`static char` | `UNICODE_3_1_ADD_Ll`
`static char` | `UNICODE_3_1_ADD_Lu`
`static char` | `UNICODE_3_1_CHANGE_No_to_Nl_MAX`
`static char` | `UNICODE_3_1_CHANGE_No_to_Nl_MIN`

Constructor Summary
`RegexData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### categories

    public static final String categories

See Also:
  Constant Field Values

### subCategories

    public static final String subCategories

See Also:
  Constant Field Values

### EOS

    public static final char EOS

See Also:
  Constant Field Values

### ASTRAL_CATEGORIES

    public static Map<String,int[]> ASTRAL_CATEGORIES

### UNICODE_3_1_ADD_Lu

    public static final char UNICODE_3_1_ADD_Lu

See Also:
  Constant Field Values

### UNICODE_3_1_ADD_Ll

    public static final char UNICODE_3_1_ADD_Ll

See Also:
  Constant Field Values

### UNICODE_3_1_CHANGE_No_to_Nl_MIN

    public static final char UNICODE_3_1_CHANGE_No_to_Nl_MIN

See Also:
  Constant Field Values

### UNICODE_3_1_CHANGE_No_to_Nl_MAX

    public static final char UNICODE_3_1_CHANGE_No_to_Nl_MAX

See Also:
  Constant Field Values

### CATEGORY_Pi

    public static final String CATEGORY_Pi

See Also:
  Constant Field Values

### CATEGORY_Pf

    public static final String CATEGORY_Pf

See Also:
  Constant Field Values

Constructor Detail

### RegexData

    public RegexData()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.